# sigc::adaptor_base Struct Reference
[Adaptors]

A hint to the compiler. More...

Inherits sigc::functor_base.

Inherited by sigc::adapts< T_setter >, sigc::adaptor_functor< T_functor >, sigc::adapts< T_functor >, and sigc::lambda_base.

Collaboration diagram for sigc::adaptor_base:
[legend]

## Detailed Description

A hint to the compiler.

Functors which have all methods based on templates should publicly inherit from this hint and define a nested template class `deduce_result_type` that can be used to deduce the methods' return types.

adaptor_base inherits from the functor_base hint so derived types should also have a result_type defined.

Adaptors don't inherit from this type directly. They use use sigc::adapts as a base type instead. sigc::adaptors wraps arbitrary functor types as well as function pointers and class methods.

The documentation for this struct was generated from the following file:

- sigc++/adaptors/deduce_result_type.h